#pragma once
#include "Entity.h"
class CS_KanpaFishingBladeHitbox :
    public Entity
{
public:
    CS_KanpaFishingBladeHitbox(std::shared_ptr<Entity> parent, float difficulty = 0);
    void Step() override;
    void DeltaTime(float deltaTime) override;//绘制更新
    float hitboxAlpha = 1;
    bool bHit = false;
    bool hitResult = false;
    bool bLeave = false;
private:
    void SetDifficulty(float difficulty);//设置难度
    void StartHit();//开始判定
    void SetHit();//判定
    void DrawJudgeHitBox();//绘制判定窗
    float hitboxRange_min = 0;//判定框最小值
    float hitboxRange_max = 0;//判定框最大值
    float hitPlace = 0;//滑块位置
    float hitSpeed = 0;//速度
    float indexAlpha = 0;
    float hitRectRadius = 0;
    float hitRectRadius_max = 16;
    std::vector<PenVertex> lineList_set;
    std::vector<PenVertex> lineList_set_last;
    std::vector<PenVertex> fillList_set;
    std::vector<PenVertex> fillList_set_last;
};

